{
  "manifest_version": 3,
  "name": "Auto listing facebook marketplace",
  "version": "1.0",
  "description": "Auto listing facebook marketplace",

  "permissions": ["storage", "tabs", "alarms"],

  "host_permissions": [
    "https://www.facebook.com/marketplace/*",
    "https://web.facebook.com/*"
  ],

  "content_scripts": [
    {
      "matches": [
        "https://www.facebook.com/marketplace/*",
        "https://web.facebook.com/marketplace/*"
      ],
      "js": ["content.js"],
      "run_at": "document_idle",
      "type": "module"
    }
  ],
  "web_accessible_resources": [
    {
      "resources": ["data.json", "images/*"],
      "matches": ["<all_urls>"]
    }
  ],

  "background": {
    "service_worker": "background.js",
    "type": "module"
  }
}
